{#<pagetitle>NHS.UK | Hospital visits summary</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/radios/macro.njk' import radios %}

{{ heading({
      subHeading: { text: 'hospital-cya.section.heading'},
      text: 'hospital-cya.h1',
      classes : 'nhsuk-heading-l govuk-heading-l',
      locale: locale
    })

}}

<div id="hospital-cya">
    <h2>{{ __({phrase: 'hospital-cya.section1.h2', locale: locale }) }}</h2>
      <dl class="nhsuk-summary-list">
          <div class="nhsuk-summary-list__row">
              <dt class="nhsuk-summary-list__key">
                  {{__({phrase: 'hospital-cya.section1.item1', locale:locale})}}
              </dt>
              <dd class="nhsuk-summary-list__value">
                  {{data.GeneralPractice.GpDoctorName}}
              </dd>
              <dd class="nhsuk-summary-list__actions">
                  <a href="{{data.GPLink}}">
                      {{__({phrase: 'common.change.link', locale:locale})}}<span class="nhsuk-u-visually-hidden"> name</span>
                  </a>
              </dd>
          </div>

          <div class="nhsuk-summary-list__row">
              <dt class="nhsuk-summary-list__key">
                  {{__({phrase: 'hospital-cya.section1.item2', locale:locale})}}
              </dt>
              <dd class="nhsuk-summary-list__value">
                  {{data.GeneralPractice.GpTelNo}}
              </dd>
              <dd class="nhsuk-summary-list__actions">

              </dd>
          </div>

          <div class="nhsuk-summary-list__row">
              <dt class="nhsuk-summary-list__key">
                  {{__({phrase: 'hospital-cya.section1.item3', locale:locale})}}
              </dt>
              <dd class="nhsuk-summary-list__value">
                  {{data.GeneralPractice.DisplayedAddress}}
              </dd>
              <dd class="nhsuk-summary-list__actions">

              </dd>
          </div>
      </dl>
  </div>

  <div id="hospital-cya">
    <h2>{{ __({phrase: 'hospital-cya.section2.h2', locale: locale }) }}</h2>
    <dl class="nhsuk-summary-list">
      {% for hospital in data.Hospitals %}
          <div class="nhsuk-summary-list__row">
              <dt class="nhsuk-summary-list__key">
                  {{__({phrase: 'hospital-cya.section2.item1', locale:locale})}}
              </dt>
              <dd class="nhsuk-summary-list__value">
                  {{hospital.HospitalName}}
              </dd>
              <dd class="nhsuk-summary-list__actions">
                  <a href="/hospital-details?hospitalCount={{hospital.HospitalCount}}">
                      {{__({phrase: 'common.change.link', locale:locale})}}<span class="nhsuk-u-visually-hidden"> name</span>
                  </a>
              </dd>
          </div>

          <div class="nhsuk-summary-list__row">
              <dt class="nhsuk-summary-list__key">
                  {{__({phrase: 'hospital-cya.section2.item2', locale:locale})}}
              </dt>
              <dd class="nhsuk-summary-list__value">
                  {{hospital.DisplayedAddress}}
              </dd>
              <dd class="nhsuk-summary-list__actions">
              </dd>
          </div>

          <div class="nhsuk-summary-list__row">
              <dt class="nhsuk-summary-list__key">
                  {{__({phrase: 'hospital-cya.section2.item3', locale:locale})}}
              </dt>
              <dd class="nhsuk-summary-list__value">
                  {{hospital.HospitalConsultant}}
              </dd>
              <dd class="nhsuk-summary-list__actions">
              </dd>
          </div>

          <div class="nhsuk-summary-list__row">
              <dt class="nhsuk-summary-list__key">
                  {{__({phrase: 'hospital-cya.section2.item4', locale:locale})}}
              </dt>
              <dd class="nhsuk-summary-list__value">
                  {{hospital.HospitalConsultantTelNo}}
              </dd>
              <dd class="nhsuk-summary-list__actions">
              </dd>
          </div>

          <div class="nhsuk-summary-list__row">
              <dt class="nhsuk-summary-list__key">
                  {{__({phrase: 'hospital-cya.section2.item5', locale:locale})}}
              </dt>
              <dd class="nhsuk-summary-list__value">
                  {{hospital.HospitalConsultantEmail}}
              </dd>
              <dd class="nhsuk-summary-list__actions">
              </dd>
          </div>
          <br><br>
      {% endfor %}
    </dl>
  </div>

<form action="hospital-cya" method="post" class="form">
    <div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}">
        <fieldset class="nhsuk-fieldset">
            <legend class="nhsuk-fieldset__legend nhsuk-fieldset__legend--l">
               <h2>{{ __({phrase: 'hospital-cya.h2', locale: locale }) }}</h2>
            </legend>
            {{ p({text:'hospital-cya.hint', classes:'nhsuk-hint', locale: locale}) }}


            {% for error in errors %}
                <span class="nhsuk-error-message" id=addAnotherHospital-error" style="display: block;">
                    {{ __({phrase: error.msg, locale: locale }) }}
                </span>
            {% endfor %}

          <div class="nhsuk-flex-group">
            {{ radios({
              "idPrefix": "hospital-cya",
              "name": "addAnotherHospital",
              "items": [
                {
                  "checked": (data.Data.addAnotherHospital === 'Yes'),
                  "id": "Yes",
                  "value": "Yes",
                  "text": "hospital-cya.option1",
                  "locale": locale
                },
                {
                  "checked": (data.Data.addAnotherHospital === 'No'),
                  "id": "No",
                  "value": "No",
                  "text": "hospital-cya.option2",
                  "locale": locale
                }
              ]
            }) }}
          </div>

        </fieldset>
    </div>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>

